Project

Profile

Help

Issue #7418

If a pulp 2 importer updated a mirror it syncs from and the content stays the same, re-migration fails

Added by ttereshc about 1 year ago. Updated about 1 year ago.

Status:
CLOSED - CURRENTRELEASE
Priority:
Normal
Assignee:
Sprint/Milestone:
Start date:
Due date:
Estimated time:
Severity:
2. Medium
Platform Release:
OS:
Triaged:
No
Groomed:
No
Sprint Candidate:
No
Tags:
Sprint:
Sprint 80
Quarter:

Description

: pulp: rq.worker:ERROR: pulpcore.app.models.content.RemoteArtifact.DoesNotExist: RemoteArtifact matching query does not exist.
: Traceback (most recent call last):
: File "/usr/local/lib/pulp/lib64/python3.6/site-packages/django/db/backends/utils.py", line 84, in _execute
: return self.cursor.execute(sql, params)
: psycopg2.errors.UniqueViolation: duplicate key value violates unique constraint "core_remoteartifact_content_artifact_id_remote_id_be64c19e_uniq"
: DETAIL:  Key (content_artifact_id, remote_id)=(d27408c1-255e-4367-9004-632bfc510524, ef3327ee-5985-48cd-a415-464ba9816628) already exists.
: The above exception was the direct cause of the following exception:
: Traceback (most recent call last):
: File "/home/vagrant/devel/pulpcore/pulpcore/app/models/content.py", line 50, in bulk_get_or_create
: return super().bulk_create(objs, batch_size=batch_size)
: File "/usr/local/lib/pulp/lib64/python3.6/site-packages/django/db/models/manager.py", line 82, in manager_method
: return getattr(self.get_queryset(), name)(*args, **kwargs)
: File "/usr/local/lib/pulp/lib64/python3.6/site-packages/django/db/models/query.py", line 468, in bulk_create
: self._batched_insert(objs_with_pk, fields, batch_size, ignore_conflicts=ignore_conflicts)
: File "/usr/local/lib/pulp/lib64/python3.6/site-packages/django/db/models/query.py", line 1204, in _batched_insert
: ignore_conflicts=ignore_conflicts,
: File "/usr/local/lib/pulp/lib64/python3.6/site-packages/django/db/models/query.py", line 1186, in _insert
: return query.get_compiler(using=using).execute_sql(return_id)
: File "/usr/local/lib/pulp/lib64/python3.6/site-packages/django/db/models/sql/compiler.py", line 1375, in execute_sql
: cursor.execute(sql, params)
: File "/usr/local/lib/pulp/lib64/python3.6/site-packages/django/db/backends/utils.py", line 67, in execute
: return self._execute_with_wrappers(sql, params, many=False, executor=self._execute)
: File "/usr/local/lib/pulp/lib64/python3.6/site-packages/django/db/backends/utils.py", line 76, in _execute_with_wrappers
: return executor(sql, params, many, context)
: File "/usr/local/lib/pulp/lib64/python3.6/site-packages/django/db/backends/utils.py", line 84, in _execute
: return self.cursor.execute(sql, params)
: File "/usr/local/lib/pulp/lib64/python3.6/site-packages/django/db/utils.py", line 89, in __exit__
: raise dj_exc_value.with_traceback(traceback) from exc_value
: File "/usr/local/lib/pulp/lib64/python3.6/site-packages/django/db/backends/utils.py", line 84, in _execute
: return self.cursor.execute(sql, params)
: django.db.utils.IntegrityError: duplicate key value violates unique constraint "core_remoteartifact_content_artifact_id_remote_id_be64c19e_uniq"
: DETAIL:  Key (content_artifact_id, remote_id)=(d27408c1-255e-4367-9004-632bfc510524, ef3327ee-5985-48cd-a415-464ba9816628) already exists.

Associated revisions

Revision ab122bab View on GitHub
Added by ttereshc about 1 year ago

Do not set is_migrated=False for LCE when importer is being re-migrated.

closes #7418 https://pulp.plan.io/issues/7418

Revision ab122bab View on GitHub
Added by ttereshc about 1 year ago

Do not set is_migrated=False for LCE when importer is being re-migrated.

closes #7418 https://pulp.plan.io/issues/7418

Revision ab122bab View on GitHub
Added by ttereshc about 1 year ago

Do not set is_migrated=False for LCE when importer is being re-migrated.

closes #7418 https://pulp.plan.io/issues/7418

History

#1 Updated by ttereshc about 1 year ago

  • Status changed from NEW to ASSIGNED
  • Assignee set to ttereshc
  • Sprint set to Sprint 80

#2 Updated by ttereshc about 1 year ago

  • Subject changed from If a pulp 2 importer, updated a mirror it syncs from and the content stays the same, re-migration fails to If a pulp 2 importer updated a mirror it syncs from and the content stays the same, re-migration fails

#3 Updated by ttereshc about 1 year ago

  • Status changed from ASSIGNED to MODIFIED

#4 Updated by ttereshc about 1 year ago

  • Sprint/Milestone set to 0.4.0

#5 Updated by pulpbot about 1 year ago

  • Status changed from MODIFIED to CLOSED - CURRENTRELEASE

Please register to edit this issue

Also available in: Atom PDF